Docs
Get Procurements
GET /procurements
GET
/procurementsLists every procurement on the event with its needs, groups, schedule blocks, priced totals and resource state records. Use Procurements_GetProcurement for one procurement with its order lines and linked advance requests.
Response
Type: GetProcurementsResponse[]
GetProcurementsResponse
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null | |
| description | string| null | |
| status | string| null | |
| totalCost | number | |
| totalCharge | number | |
| groups | GetProcurementsResponseGroup[]| null | |
| resources | GetProcurementsResponseResource[]| null |
GetProcurementsResponseGroup
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null | |
| notes | string| null | |
| index | integer |
GetProcurementsResponseResource
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| status | string| null | |
| orderedQuantity | number | |
| quantity | number | |
| groupId | uuid| null | |
| area | GetProcurementsResponseResourceAreaInfo| null | |
| cloneGroupId | uuid| null | |
| typeChangeHolds | GetProcurementResponseResourceTypeChangeHoldsInfo | |
| rateCardId | uuid| null | |
| rateCardName | string| null | |
| costPerUnit | number | |
| chargePerUnit | number | |
| totalCost | number | |
| totalCharge | number | |
| type | GetProcurementsResponseResourceResourceType | |
| attributeValues | GetProcurementsResponseResourceAttributeValue[]| null | |
| parentProcurementResourceId | uuid| null | |
| chargeReplacedByComposite | boolean | |
| componentId | uuid| null | |
| componentLabel | string| null | |
| allowedResourceVariantIds | uuid[]| null | |
| compositeCoverage | CompositeCoverageInfo | |
| compositeMoney | CompositeMoneyInfo | |
| scheduleBlocks | GetProcurementsResponseResourceScheduleBlock[]| null | |
| stateRecords | GetProcurementsResponseResourceStateRecord[]| null | |
| costSegments | GetProcurementsResponseResourceCostSegment[]| null | |
| costMinimums | GetProcurementsResponseResourceCostMinimum[]| null | |
| costModifiers | GetProcurementsResponseResourceCostModifier[]| null | |
| ruleSets | GetProcurementsResponseResourceRuleSetInfo[]| null |
GetProcurementsResponseResourceAreaInfo
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null |
GetProcurementResponseResourceTypeChangeHoldsInfo
| Field | Type | Description |
|---|---|---|
| reservationCount | integer | |
| orderLineCount | integer | |
| fulfillmentItemCount | integer |
GetProcurementsResponseResourceResourceType
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| label | string| null | |
| trackingType | string| null | |
| icon | string| null | |
| lineItemLabel | string| null |
GetProcurementsResponseResourceAttributeValue
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| resourceAttributeId | uuid | |
| value | string| null |
CompositeCoverageInfo
| Field | Type | Description |
|---|---|---|
| fulfilledUnits | number | |
| openUnits | number | |
| isFilled | boolean | |
| status | string| null | |
| perComponent | CompositeCoverageInfoComponentInfo[]| null |
CompositeMoneyInfo
| Field | Type | Description |
|---|---|---|
| cost | number | |
| charge | number | |
| margin | number | |
| isChargeDeclared | boolean | |
| isPartial | boolean |
GetProcurementsResponseResourceScheduleBlock
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| type | GetProcurementsResponseResourceScheduleBlockScheduleBlockTypeInfo | |
| name | string| null | |
| startDateTime | date-time | |
| endDateTime | date-time | |
| activityId | uuid| null | |
| notes | string| null | |
| area | GetProcurementsResponseResourceScheduleBlockAreaInfo| null | |
| collaboratorId | uuid| null | |
| costAmount | number | |
| chargeAmount | number | |
| requests | GetProcurementsResponseResourceScheduleBlockRequestSummary[]| null |
GetProcurementsResponseResourceStateRecord
| Field | Type | Description |
|---|---|---|
| stateId | uuid | |
| stateName | string| null | |
| stateColor | string| null | |
| startDateTime | date-time | |
| endDateTime | date-time| null | |
| triggeredByRuleName | string| null |
GetProcurementsResponseResourceCostSegment
| Field | Type | Description |
|---|---|---|
| stateName | string| null | |
| period | string| null | |
| durationHours | number | |
| costAmount | number | |
| chargeAmount | number | |
| isFallback | boolean |
GetProcurementsResponseResourceCostMinimum
| Field | Type | Description |
|---|---|---|
| spanStart | date-time | |
| spanEnd | date-time | |
| costAmount | number | |
| chargeAmount | number |
GetProcurementsResponseResourceCostModifier
| Field | Type | Description |
|---|---|---|
| modifierId | uuid | |
| label | string| null | |
| value | string| null | |
| application | string| null | |
| costAmount | number | |
| chargeAmount | number |
GetProcurementsResponseResourceRuleSetInfo
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null |